Visual Studio Icon Visual Studio 2019 for Mac 产品系列系统要求



开发人员社区 | 系统要求 | 兼容性 | 可分发代码 | 文档 | 博客 | 维护


下面是 Visual Studio 2019 for Mac 系列产品的最低系统要求。 若要安装 Visual Studio 2019 for Mac,请参阅 Visual Studio 2019 下载。 有关此版本新增功能的信息,请参阅 Visual Studio 2019 for Mac 发行说明。 另请参阅 Visual Studio 2019 for Mac 平台目标以及兼容性

Visual Studio 2019 for Mac

以下产品支持下面的最低系统要求:

  • Visual Studio Enterprise 2019 for Mac。
  • Visual Studio Professional 2019 for Mac。
  • Visual Studio Community 2019 for Mac。

支持的操作系统

Visual Studio 2019 for Mac 可在以下操作系统上安装并运行:

  • macOS Catalina 10.15 *
  • macOS Mojave 10.14
  • macOS High Sierra 10.13

最新版 Xcode 11 需要 macOS Mojave 10.14,因此 Xamarin.iOS 和 Xamarin.Mac 项目也需要该最低版本。

* 尽管 Visual Studio 2019 for Mac 版本 8.3 经测试可用于 Catalina,但 macOS Catalina 与多个应用程序存在已知兼容性问题。 请在开发者社区报告你注意到的任何问题。 Catalina 不支持旧版本的 Visual Studio for Mac。

硬件

  • 1.8 GHz 或更快的处理器。 双核或更好的建议。
  • 4 GB RAM;建议 8 GB RAM(如果在虚拟机上运行,则最低 4 GB)。
  • 默认情况下所需的硬盘:约 5.6GB。

支持的语言

Visual Studio for Mac 提供了以下语言版本:

  • 英语
  • 中文(简体)
  • 中文(繁体)
  • 捷克语
  • 法语
  • 德语
  • 意大利语
  • 日语
  • 韩语
  • 波兰语
  • 葡萄牙语(巴西)
  • 俄语
  • 西班牙语
  • 土耳其语

其他要求

  • 使用 .NET Core 项目和功能需要 .NET Core SDK 2.2。 下载和安装可以分别进行,需要 macOS Sierra 10.12 或更高版本。
  • Xamarin.Android 需要 64 位版本的 Java 开发工具包 (JDK)。
  • Xamarin.iOS 需要 Apple 的 Xcode IDE 和 iOS SDK。
  • Xamarin.Forms 可以面向 Android 和 iOS 平台,只需满足上述要求即可。
返回页首